Bug 68368 - ifup-post doesn't punch dns server holes
ifup-post doesn't punch dns server holes
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: 68151 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-09 12:05 EDT by Frank Sweetser
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-13 16:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Sweetser 2002-07-09 12:05:47 EDT
The current version of ifup-post appears to still use ipchains, and checks for
/etc/sysconfig/ipchains to see if it's in use.  Since limbo uses iptables,
though, the holes for DNS replies to get back from the servers get dropped if
"high" security setting is selected.
Comment 1 Bill Nottingham 2002-07-17 01:00:16 EDT
*** Bug 68151 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2002-07-17 01:08:54 EDT
Should be fixed in 6.87-1.
Comment 3 Jay Turner 2002-07-29 16:55:37 EDT
Bill, think that we still have a bit of a problem here.  This is what I show
with initscripts-6.88-1:

if [ "$FIREWALL_MODS" != "no" -a -f /etc/sysconfig/ipchains ] && \

Shouldn't that be "-a -f /etc/sysconfig/iptables ]"?
Comment 4 Bill Nottingham 2002-08-13 16:53:42 EDT
That would help, duh. Will be fixed in 6.89-1.
Comment 5 Jay Turner 2002-08-15 13:52:06 EDT
Fix confirmed with initscripts-6.90-1.

Note You need to log in before you can comment on or make changes to this bug.